Bug 864937 - Review Request: zeromq3 - Software library for fast, message-based applications
Summary: Review Request: zeromq3 - Software library for fast, message-based applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 864185 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-10 12:33 UTC by Thomas Spura
Modified: 2012-12-20 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:36:26 UTC
rbean: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Spura 2012-10-10 12:33:49 UTC
Spec URL: http://tomspur.fedorapeople.org/review/zeromq3.spec
SRPM URL: http://tomspur.fedorapeople.org/review/zeromq3-3.2.0-0.1.fc16.src.rpm
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4577499
Description: 
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the ZeroMQ shared library for versions 3.x.

Fedora Account System Username: tomspur

$ rpmlint /home/tomspur/rpmbuild/SRPMS/zeromq3-3.2.0-0.1.fc16.src.rpm /home/tomspur/rpmbuild/RPMS/x86_64/zeromq3-3.2.0-0.1.fc16.x86_64.rpm /home/tomspur/rpmbuild/RPMS/x86_64/zeromq3-devel-3.2.0-0.1.fc16.x86_64.rpm /home/tomspur/rpmbuild/RPMS/x86_64/zeromq3-debuginfo-3.2.0-0.1.fc16.x86_64.rpm
zeromq3.src:10: W: macro-in-comment %{version}
zeromq3.src: W: invalid-url Source0: zeromq-3.2.0.tar.gz
zeromq3-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

Also see bug #864185.

Comment 1 Ralph Bean 2012-10-10 19:26:07 UTC
I'll take this one, but I'll wait for you to upload a new version with BuildRequires on libtool before I proceed with the review (like we talked about in IRC).

Comment 2 Thomas Spura 2012-10-11 08:23:18 UTC
(In reply to comment #1)
> I'll take this one, but I'll wait for you to upload a new version with
> BuildRequires on libtool before I proceed with the review (like we talked
> about in IRC).

Great, thanks!

BR on libtool is already above, but I made some other changes:
- delete defattr and remove (>el5) macro to only target el6+ and fc17+
- conflict with zeromq-devel and not plain zeromq
- use proper version

Spec URL: http://tomspur.fedorapeople.org/review/zeromq3.spec
SRPM URL: http://tomspur.fedorapeople.org/review/zeromq3-3.2.0-0.2.20121009git1ef63bc.fc16.src.rpm

Comment 3 Ralph Bean 2012-10-11 14:08:14 UTC
Issues:
=======

[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

Since you're not going to be building this for el5, the extra defattr section
under the zeromq3-devel section can be discarded.  The removal of the buildroot
at the beginning of the install section can be removed as well.

If you can take care of the above two issues, I'll approve the package without
further delay.


Comments:
=========

[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts

This is expected and not actually a blocker., since the two zeromq*-devel
packages cannot coexist.


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/threebean/864937-zeromq3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (zeromq-3.2.0.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zeromq3-devel-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm
          zeromq3-debuginfo-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm
          zeromq3-3.2.0-0.2.20121009git1ef63bc.fc18.src.rpm
          zeromq3-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm
zeromq3-devel.x86_64: W: no-documentation
zeromq3.src:10: W: macro-in-comment %{version}
zeromq3.src: W: invalid-url Source0: zeromq-3.2.0.tar.gz
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint zeromq3-debuginfo zeromq3 zeromq3-devel
zeromq3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libzmq.so.3.0.0 /lib64/libm.so.6
zeromq3-devel.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
zeromq3-devel-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    libzmq.so.3()(64bit)
    zeromq3(x86-64) = 3.2.0-0.2.20121009git1ef63bc.fc18

zeromq3-debuginfo-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

zeromq3-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
zeromq3-devel-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm:
    
    pkgconfig(libzmq) = 3.2.1
    zeromq3-devel = 3.2.0-0.2.20121009git1ef63bc.fc18
    zeromq3-devel(x86-64) = 3.2.0-0.2.20121009git1ef63bc.fc18

zeromq3-debuginfo-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm:
    
    zeromq3-debuginfo = 3.2.0-0.2.20121009git1ef63bc.fc18
    zeromq3-debuginfo(x86-64) = 3.2.0-0.2.20121009git1ef63bc.fc18

zeromq3-3.2.0-0.2.20121009git1ef63bc.fc18.x86_64.rpm:
    
    libzmq.so.3()(64bit)
    zeromq3 = 3.2.0-0.2.20121009git1ef63bc.fc18
    zeromq3(x86-64) = 3.2.0-0.2.20121009git1ef63bc.fc18



MD5-sum check
-------------


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 864937

Comment 4 Thomas Spura 2012-10-12 12:45:37 UTC
Changelog:
- remove defattr and rm -rf buildroot

Spec URL: http://tomspur.fedorapeople.org/review/zeromq3.spec
SRPM URL: http://tomspur.fedorapeople.org/review/zeromq3-3.2.0-0.3.20121009git1ef63bc.fc16.src.rpm

Comment 5 Ralph Bean 2012-10-12 15:09:51 UTC
Approved!

Comment 6 Thomas Spura 2012-10-13 20:36:30 UTC
Thanks again for the review!

New Package SCM Request
=======================
Package Name: zeromq3
Short Description: Software library for fast, message-based applications
Owners: tomspur kaptk2
Branches: f17 f18 el6
InitialCC:

Comment 7 Gwyn Ciesla 2012-10-15 01:48:46 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-10-15 07:32:28 UTC
zeromq3-3.2.0-0.3.20121009git1ef63bc.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zeromq3-3.2.0-0.3.20121009git1ef63bc.el6

Comment 9 Fedora Update System 2012-10-15 07:32:39 UTC
zeromq3-3.2.0-0.3.20121009git1ef63bc.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zeromq3-3.2.0-0.3.20121009git1ef63bc.fc18

Comment 10 Fedora Update System 2012-10-15 07:32:54 UTC
zeromq3-3.2.0-0.3.20121009git1ef63bc.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zeromq3-3.2.0-0.3.20121009git1ef63bc.fc17

Comment 11 Fedora Update System 2012-10-15 17:37:04 UTC
zeromq3-3.2.0-0.3.20121009git1ef63bc.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Thomas Spura 2012-10-17 09:04:57 UTC
*** Bug 864185 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2012-12-20 15:36:29 UTC
zeromq3-3.2.0-0.3.20121009git1ef63bc.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.